/*  Copyright (c) 2005 Romain BONDUE
    This file is part of RutilT.

    RutilT is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RutilT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with RutilT; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
/** \file CStatsPage.h
    \author Romain BONDUE
    \date 08/05/2006 */
#ifndef __CSTATSPAGE_H__
#define __CSTATSPAGE_H__

extern "C"{
#include <gtk/gtk.h>
}



namespace nsGUI
{
    class CStatsPage
    {
      public :
        CStatsPage () throw();
        void SetTXBytes (unsigned long) throw();
        void SetTXPackets (unsigned long) throw();
        void SetTXErrors (unsigned long) throw();
        void SetCollisions (unsigned long) throw();
        void SetRXBytes (unsigned long) throw();
        void SetRXPackets (unsigned long) throw();
        void SetRXErrors (unsigned long) throw();
        operator ::GtkWidget* () throw();
        operator const ::GtkWidget* () const throw();


      protected :
        void BuildUI () throw();
        void SetLabel (::GtkLabel*, unsigned long) throw();


      private :
        ::GtkBox* const m_pBox;
        ::GtkLabel* const m_pTXBytes;
        ::GtkLabel* const m_pTXPackets;
        ::GtkLabel* const m_pTXErrors;
        ::GtkLabel* const m_pCollisions;
        ::GtkLabel* const m_pRXBytes;
        ::GtkLabel* const m_pRXPackets;
        ::GtkLabel* const m_pRXErrors;

    }; // CStatsPage

} // namespace nsGUI

#include "private/CStatsPage.hxx"

#endif // __CSTATSPAGE_H__
