/*  Copyright (c) 2005 Romain BONDUE
    This file is part of RutilT.

    RutilT is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RutilT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with RutilT; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
/** \file CSelectableRowList.hxx
    \author Romain BONDUE
    \date 29/07/2005
    \warning This file should only be included from CSelectableRowList.h */
inline nsGUI::CSelectableRowList::~CSelectableRowList () throw()
{
    ::g_object_unref (m_pListStore);

} // ~CSelectableRowList()


inline nsGUI::CSelectableRowList::operator ::GtkWidget* () throw()
{
    return m_pScrollWindow;

} // operator ::GtkWidget* ()


inline void nsGUI::CSelectableRowList::Clear () throw()
{
    ::gtk_list_store_clear (m_pListStore);
    m_IterVec.clear();
    m_SelectedRow = None;

} // Clear()


inline nsGUI::CGtkGUI* nsGUI::CSelectableRowList::GetUI () throw()
{
    return m_pUI;

} // GetUI()


inline const nsGUI::CGtkGUI* nsGUI::CSelectableRowList::GetUI () const throw()
{
    return m_pUI;

} // GetUI()


inline int nsGUI::CSelectableRowList::GetSelectedRow () const throw()
{
    return m_SelectedRow;

} // GetSelectedRow()


inline unsigned nsGUI::CSelectableRowList::GetNbRow () const throw()
{
    return m_IterVec.size();

} // GetNbRow()


inline void nsGUI::CSelectableRowList::RowSelectedCallBack () throw() {}


inline void nsGUI::CSelectableRowList::RowUnselectedCallBack () throw() {}
