/*  Copyright (c) 2005 Romain BONDUE
    This file is part of RutilT.

    RutilT is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RutilT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with RutilT; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
/** \file RTWMsgHandlers.hxx
    \author Romain BONDUE
    \date 21/02/2006
    \warning This file should only be included from RTWMsgHandlers.h */
inline nsWireless::CRT2400Driver* nsRoot::CRT2400MsgHandler::GetDriver ()
                                                                        throw()
{
    return reinterpret_cast<nsWireless::CRT2400Driver*>
                                            (CWirelessMsgHandler::GetDriver());

} // GetDriver()


inline const nsWireless::CRT2400Driver* nsRoot::CRT2400MsgHandler::GetDriver ()
                                                                const throw()
{
    return reinterpret_cast<const nsWireless::CRT2400Driver*>
                                            (CWirelessMsgHandler::GetDriver());

} // GetDriver()


inline nsWireless::CRTAdvancedDriver* nsRoot::CRTAdvancedMsgHandler::GetDriver
                                                                    () throw()
{
    return reinterpret_cast<nsWireless::CRTAdvancedDriver*>
                                            (CWirelessMsgHandler::GetDriver());

} // GetDriver()


inline const nsWireless::CRTAdvancedDriver*
                    nsRoot::CRTAdvancedMsgHandler::GetDriver () const throw()
{
    return reinterpret_cast<const nsWireless::CRTAdvancedDriver*>
                                            (CWirelessMsgHandler::GetDriver());

} // GetDriver()


inline nsWireless::CRT2570Driver* nsRoot::CRT2570MsgHandler::GetDriver ()
                                                                        throw()
{
    return reinterpret_cast<nsWireless::CRT2570Driver*>
                                            (CWirelessMsgHandler::GetDriver());

} // GetDriver()


inline const nsWireless::CRT2570Driver* nsRoot::CRT2570MsgHandler::GetDriver ()
                                                                const throw()
{
    return reinterpret_cast<const nsWireless::CRT2570Driver*>
                                            (CWirelessMsgHandler::GetDriver());

} // GetDriver()


inline nsRoot::CMsg nsRoot::CRT2570MsgHandler::operator () (const CMsg& Msg)
                                throw (nsErrors::CException, std::bad_alloc)
{
    return CWirelessMsgHandler::operator () (Msg);

} // operator() ()
