/*  Copyright (c) 2005 Romain BONDUE
    This file is part of RutilT.

    RutilT is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RutilT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with RutilT; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
/** \file IfaceMsgHandler.cxx
    \author Romain BONDUE
    \date 09/06/2006 */
#include "IfaceMsgHandler.h"
#include "IfaceProtocolCodes.h"
#include "ErrorsCode.h"



nsRoot::CMsg nsRoot::CIfaceMsgHandler::operator () (const CMsg& Msg)
                                throw (nsErrors::CException, std::bad_alloc)
{
    switch (Msg.GetCode())
    {
      case nsNet::DeviceNameC :
        m_Iface.SetName (Msg.GetText());
      break;

      case nsNet::DhcpC :
        m_Iface.SetIPFromDHCP (Msg.GetText());
      break;

      case nsNet::StaticIpC :
        //m_Iface.SetIP (); TODO
      break;

      case nsNet::UpC :
        m_Iface.Up();
      break;

      case nsNet::DownC :
        m_Iface.Down();
      break;

      default :
        throw nsErrors::CException ("Unknown command.",
                                    nsErrors::InvalidCommand);
    }
    return CMsg();

} // operator ()()
